Summary: A document formatting system.
Name: groff
Version: 1.17.2
Release: 5tr
License: GPL
Group: Environment/File
Source0: ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
Source1: troff-to-ps.fpi
Patch1: groff-1.16-safer.patch
Patch2: groff_1.17.2-15.diff
Requires: mktemp
BuildRequires: byacc
Buildroot: /var/tmp/groff-root
Obsoletes: groff-tools

%description
Groff is a document formatting system.  Groff takes standard text and
formatting commands as input and produces formatted output.  The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

You should install groff if you want to use it as a document
formatting system.  Groff can also be used to format man pages.

%package perl
Summary: Parts of the groff formatting system that require Perl.
Group: Environment/File

%description perl
groff-perl contains the parts of the groff text processor
package that require Perl. These include the afmtodit
font processor used to create PostScript font files, the
grog utility that can be used to automatically determine
groff command-line options, and the troff-to-ps print filter.

%prep
%setup -q
%patch1 -p1 -b .safer
%patch2 -p1 -b .huge

%build
PATH=$PATH:/usr/X11R6/bin
CXX='g++' CC='gcc' CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s\
	 ./configure --prefix=/usr \
		--enable-japanese
make

%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/share
make install prefix=$RPM_BUILD_ROOT/usr
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share
ln -s s.tmac    ${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gs.tmac
ln -s mse.tmac  ${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gmse.tmac
ln -s m.tmac    ${RPM_BUILD_ROOT}%{_prefix}/share/groff/%version/tmac/gm.tmac
ln -s troff     ${RPM_BUILD_ROOT}%{_prefix}/bin/gtroff
ln -s tbl       ${RPM_BUILD_ROOT}%{_prefix}/bin/gtbl
ln -s pic       ${RPM_BUILD_ROOT}%{_prefix}/bin/gpic
ln -s eqn       ${RPM_BUILD_ROOT}%{_prefix}/bin/geqn
ln -s neqn      ${RPM_BUILD_ROOT}%{_prefix}/bin/gneqn
ln -s refer     ${RPM_BUILD_ROOT}%{_prefix}/bin/grefer
ln -s lookbib   ${RPM_BUILD_ROOT}%{_prefix}/bin/glookbib
ln -s indxbib   ${RPM_BUILD_ROOT}%{_prefix}/bin/gindxbib
ln -s soelim    ${RPM_BUILD_ROOT}%{_prefix}/bin/gsoelim
ln -s soelim    ${RPM_BUILD_ROOT}%{_prefix}/bin/zsoelim
ln -s nroff     ${RPM_BUILD_ROOT}%{_prefix}/bin/gnroff

# Build system is compressing manpages
ln -s eqn.1	$RPM_BUILD_ROOT%{_mandir}/man1/geqn.1
ln -s indxbib.1 $RPM_BUILD_ROOT%{_mandir}/man1/gindxbib.1
ln -s lookbib.1 $RPM_BUILD_ROOT%{_mandir}/man1/glookbib.1
ln -s nroff.1 	$RPM_BUILD_ROOT%{_mandir}/man1/gnroff.1
ln -s pic.1 	$RPM_BUILD_ROOT%{_mandir}/man1/gpic.1
ln -s refer.1 	$RPM_BUILD_ROOT%{_mandir}/man1/grefer.1
ln -s soelim.1  $RPM_BUILD_ROOT%{_mandir}/man1/gsoelim.1
ln -s tbl.1 	$RPM_BUILD_ROOT%{_mandir}/man1/gtbl.1
ln -s troff.1 	$RPM_BUILD_ROOT%{_mandir}/man1/gtroff.1

mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/troff-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

#cd ..
find $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT%{_mandir} -type f -o -type l | \
	egrep -v 'afmtodit|grog|mdoc.samples|mmroff' | \
	sed "s|$RPM_BUILD_ROOT||g" | sed "s|\.[0-9]|\.*|g" > groff-files

%files -f groff-files
%defattr(-,root,root)
/usr/share/groff

%files perl
%defattr(-,root,root)
/usr/bin/grog
/usr/bin/mmroff
/usr/bin/afmtodit
%{_mandir}/man1/afmtodit.*
%{_mandir}/man1/grog.*
/usr/lib/rhs/*/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.17.2-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.17.2-4em
- Rebuilt against glibc 2.3.2.

* Thu Aug 20 2002 Goetz Bock <bock at trustix dot org> 1.17.2-3ct
- rebuild with new libstdc++
- build requires byacc

* Wed Jun 12 2002 Christian H. Toldnes <christht at trustix dot com> 1.17.2-2ct
- Rebuild for 2.0

* Fri Jan 18 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstream version: 1.17.2
- complied with --enable-japanese
- update to newest debian patch 1.17.2-15

* Tue Jun  5 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.17

* Mon Mar  5 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 1.16.1
- Moved /usr/lib/groff to /usr/share/groff

* Wed Mar 22 2000 Lars Gaarden <larsg at trustix dot com>
- Fixed manpage symlinks.

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man pages to /usr/share/man, FHS

* Sun Feb 27 2000 Lars Gaarden <larsg at trustix dot com>
- no more gxditview

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary
- man pages are compressed. This is ugly.

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- put the binaries actually in the package *oops*

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- split perl components into separate subpackage

* Wed Dec 29 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1 patch for xditview (#992)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- fix makefiles to work with bash2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

